# $Revision: 1.29 $, $Date: 2007-11-30 20:02:41 $
#
# Conditional build:
%bcond_with	arts	# with aRts support
%bcond_without	oss	# without OSS drivers support
%bcond_without	alsa	# without ALSA support
#
Summary:	Trax Sequencer Engine
Summary(pl.UTF-8):	Silnik sekwencera Trax
Name:		tse3
Version:	0.3.1
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/tse3/%{name}-%{version}.tar.gz
# Source0-md5:	3b7e35505160e2d761e5b43abb636f3c
Patch0:		%{name}-alsa1_0.patch
Patch1:		%{name}-types.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-awe_voice.patch
URL:		http://tse3.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 1.0}
%{?with_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%description -l pl.UTF-8
TSE3 jest potężnym silnikiem sekwencera napisanym w C++ z
wolnodostępnymi źródłami. Jest to "silnik sekwencera", ponieważ
dostarcza właściwe elementy "napędzające" sekwencer, ale nie
zawiera żadnego ładnego interfejsu. Aplikacje sekwencera lub
prezentacji multimedialnych mogą korzystać z bibliotek TSE3, aby
dostarczyć użytkownikowi możliwości sekwencera MIDI.

%package devel
Summary:	Tse3 header files
Summary(pl.UTF-8):	Pliki nagłówkowe tse3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_alsa:Requires:	alsa-lib-devel >= 1.0}
%{?with_arts:Requires:	arts-devel}
Requires:	libstdc++-devel

%description devel
Tse3 header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe tse3.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_arts:--without-aRts} \
	%{!?with_alsa:--without-alsa} \
	%{!?with_oss:--without-oss} \
	--without-win32
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/songs

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp demos/*.tse3 $RPM_BUILD_ROOT%{_datadir}/%{name}/songs
rm -f doc/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{*.html,*.png,*.gif} AUTHORS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/songs
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tse3.spec,v $
Revision 1.29  2007-11-30 20:02:41  hawk
- added awe_voice.h (fixes compilation on newer libc headers where this
  file was removed)
- added gcc4 fix

Revision 1.28  2007-11-30 18:51:12  hawk
- updated to 0.3.1

Revision 1.27  2007-02-12 22:09:18  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.25  2005/07/20 23:16:08  undefine
- up to 0.3.0

Revision 1.24  2004/10/31 15:11:54  paladine
- spaces->tabs
- formatting

Revision 1.23  2004/08/28 21:26:55  qboosh
- added types patch, strict internal dep

Revision 1.22  2004/08/28 19:36:42  jajcus
- ALSA 1.0 support

Revision 1.21  2003/11/19 13:42:21  qboosh
- new-style, fixed bconds (and oss on by default), -devel deps

Revision 1.20  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.19  2003/06/24 22:19:04  qboosh
- longer pl, missing dir, BR: ac,am,lt

Revision 1.18  2003/06/22 10:59:31  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.17  2003/06/19 18:39:08  freetz
- update to newest version
- added bconds for alsa, arts and oss
- added ac/am stuff
- added demo midis in tse3 format
- some cleanups

Revision 1.16  2003/05/28 13:02:22  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:27:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.13  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.12  2002/03/03 19:46:10  marcus
- new version 0.1.2

Revision 1.11  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/19 18:53:36  gotar
- %desc

Revision 1.9  2002/02/02 20:39:38  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.8  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/28 15:01:43  blues
- release 2
- configure2_13 used

Revision 1.6  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/12/22 07:26:02  kloczek
- updated to 0.0.17.

Revision 1.2  2000/10/23 04:46:18  kloczek
- updated to 0.0.14,
- use new rpm automation.

Revision 1.1  2000/07/19 20:16:17  klakier
- initial working version
